Page MenuHomePhabricator

[Task] Track use of Create Article and Translate Article buttons
Closed, ResolvedPublic

Description

Both buttons should be tracked (even though one does not currently exist)

Infrastructure should be added for said tracking.

This will likely just be a count of the number of times the buttons are used using statsd!

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterAdd non-js fallback for create article button
mediawiki/extensions/ArticlePlaceholder : masterTrack the create-article button

Related Objects

StatusAssignedTask
Resolvedthiemowmde
DeclinedNone
InvalidLydia_Pintscher
ResolvedLucie
ResolvedAddshore
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedJanZerebecki
ResolvedJanZerebecki
DeclinedNone
DuplicateLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedLucie
ResolvedLucie
Resolved Jonas
ResolvedAklapper
DeclinedDereckson
Resolvedcsteipp
ResolvedJanZerebecki
DuplicateNone
Resolvedhoo
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedLucie
ResolvedNone
ResolvedLucie
OpenNone
InvalidLucie
DeclinedLucie
ResolvedLucie
InvalidLucie
ResolvedLucie
OpenNone
Resolvedhoo

Event Timeline

Addshore created this task.Jan 7 2016, 7:14 PM
Addshore raised the priority of this task from to Medium.
Addshore updated the task description. (Show Details)
Addshore added a project: ArticlePlaceholder.
Addshore added subscribers: Addshore, Lucie.
Restricted Application added a project: Wikidata. · View Herald TranscriptJan 7 2016, 7:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore set Security to None.

Change 286839 had a related patch set uploaded (by Addshore):
Track the create-article button

https://gerrit.wikimedia.org/r/286839

Also added commenyts to https://gerrit.wikimedia.org/r/#/c/280954/ and https://gerrit.wikimedia.org/r/#/c/280950/ which should both include the tracking

Change 286839 merged by jenkins-bot:
Track the create-article button

https://gerrit.wikimedia.org/r/286839

Change 280954 had a related patch set uploaded (by Florianschmidtwelzow):
Add non-js fallback for create article button

https://gerrit.wikimedia.org/r/280954

Lydia_Pintscher closed this task as Resolved.May 9 2016, 9:14 AM
Lydia_Pintscher claimed this task.
Addshore claimed this task.May 9 2016, 11:45 AM
Addshore added a subscriber: Lydia_Pintscher.
Lucie moved this task from Incoming to Done on the ArticlePlaceholder board.May 10 2016, 11:53 AM

Change 280954 merged by jenkins-bot:
Add non-js fallback for create article button

https://gerrit.wikimedia.org/r/280954